--- old/usr/src/uts/intel/sys/x86_archext.h	2014-01-03 22:11:56.845577287 -0500
+++ new/usr/src/uts/intel/sys/x86_archext.h	2014-01-03 22:11:56.851459357 -0500
@@ -116,6 +116,7 @@
 #define	CPUID_INTC_ECX_DCA	0x00040000	/* direct cache access */
 #define	CPUID_INTC_ECX_SSE4_1	0x00080000	/* SSE4.1 insns */
 #define	CPUID_INTC_ECX_SSE4_2	0x00100000	/* SSE4.2 insns */
+#define	CPUID_INTC_ECX_X2APIC	0x00200000	/* x2APIC */
 #define	CPUID_INTC_ECX_MOVBE	0x00400000	/* MOVBE insn */
 #define	CPUID_INTC_ECX_POPCNT	0x00800000	/* POPCNT insn */
 #define	CPUID_INTC_ECX_AES	0x02000000	/* AES insns */
@@ -130,7 +131,7 @@
 	"\20"							\
 	"\37rdrand\36f16c\35avx\34osxsav\33xsave"		\
 	"\32aes"						\
-	"\30popcnt\27movbe\25sse4.2\24sse4.1\23dca"		\
+	"\30popcnt\27movbe\26x2apic\25sse4.2\24sse4.1\23dca"	\
 	"\20\17etprd\16cx16\13cid\12ssse3\11tm2"		\
 	"\10est\7smx\6vmx\5dscpl\4mon\2pclmulqdq\1sse3"
 
@@ -346,7 +347,7 @@
 #define	X86FSET_PGE		4
 #define	X86FSET_DE		5
 #define	X86FSET_CMOV		6
-#define	X86FSET_MMX 		7
+#define	X86FSET_MMX		7
 #define	X86FSET_MCA		8
 #define	X86FSET_PAE		9
 #define	X86FSET_CX8		10
@@ -379,6 +380,7 @@
 #define	X86FSET_TOPOEXT		37
 #define	X86FSET_F16C		38
 #define	X86FSET_RDRAND		39
+#define	X86FSET_X2APIC		40
 
 /*
  * flags to patch tsc_read routine.
@@ -639,7 +641,7 @@
 
 #if defined(_KERNEL) || defined(_KMEMUSER)
 
-#define	NUM_X86_FEATURES	40
+#define	NUM_X86_FEATURES	41
 extern uchar_t x86_featureset[];
 
 extern void free_x86_featureset(void *featureset);
@@ -655,9 +657,6 @@
 extern uint_t x86_clflush_size;
 
 extern uint_t pentiumpro_bug4046376;
-extern uint_t pentiumpro_bug4064495;
-
-extern uint_t enable486;
 
 extern const char CyrixInstead[];
 
